import React from 'react';
import type { IWebFontProps } from '../atoms';
import type { IInnerRef } from '../interfaces';
export declare type OmitedFontProps = 'lineHeight' | 'volume' | 'weight';
export declare type ITypographyProps = IInnerRef & Omit<IWebFontProps, OmitedFontProps>;
export declare const createTypography: ({ volume, weight, className }: IWebFontProps, displayName?: string) => React.FC<ITypographyProps>;
export declare const typography: Record<string, IWebFontProps>;
export declare const Typography: {
    H1Promo: React.FC<ITypographyProps>;
    H2Promo: React.FC<ITypographyProps>;
    H1: React.FC<ITypographyProps>;
    H2: React.FC<ITypographyProps>;
    H2Regular: React.FC<ITypographyProps>;
    H3: React.FC<ITypographyProps>;
    PLead: React.FC<ITypographyProps>;
    PBold: React.FC<ITypographyProps>;
    P: React.FC<ITypographyProps>;
    PLong: React.FC<ITypographyProps>;
    Text: React.FC<ITypographyProps>;
    TextBold: React.FC<ITypographyProps>;
    SmallText: React.FC<ITypographyProps>;
    SmallTextBold: React.FC<ITypographyProps>;
};
